# Method: partners.customers.create

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/create#body.request_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/create#body.aspect)

Creates a customer for zero-touch enrollment. After the method returns successfully, admin and owner roles can manage devices and EMM configs by calling API methods or using their zero-touch enrollment portal. The customer receives an email that welcomes them to zero-touch enrollment and explains how to sign into the portal.

### HTTP request

`POST https://androiddeviceprovisioning.googleapis.com/v1/{parent=partners/*}/customers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource ID in the format `partners/[PARTNER_ID]` that identifies the reseller. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "customer": { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers#Company`) } } ``` |

| Fields ||
|---|---|
| `customer` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers#Company`)`` Required. The company data to populate the new customer. Must contain a value for `companyName` and at least one `owner_email` that's associated with a Google Account. The values for `companyId` and `name` must be empty. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers#Company`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).